Bug 74336 - Logging doesn't display IPv6 addresses
Logging doesn't display IPv6 addresses
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: uw-imap (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-20 14:43 EDT by Peter Bieringer
Modified: 2008-02-13 20:24 EST (History)
1 user (show)

See Also:
Fixed In Version: uw-imap-2006g-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 20:24:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2002-09-20 14:43:55 EDT
Description of problem:
Connecting to IMAP or POP over IPv6 works, but logging don't display IPv6 addresses

Version-Release number of selected component (if applicable):
imap-2001a-10

How reproducible:
Always

Steps to Reproduce:
1) enable IPv6 on system
2) enable IMAP or POP service on xinetd.d
3) restart xinetd

Actual Results:
IMAP:
Sep 20 20:36:53 gate imapd[27008]: Authenticated user=peter host=NON-IPv4

POP:
Sep 20 20:32:10 gate ipop3d[26901]: Auth user=peter host=NON-IPv4 nmsgs=1/1

Expected Results:  Logging of IPv6 addresses

Additional info:
Comment 1 Peter Bieringer 2006-06-06 05:55:18 EDT
Mho: bug can be closed with cantfix (outdated version of OS)
Comment 2 Bill Nottingham 2006-08-04 23:08:01 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Peter Bieringer 2006-08-05 04:48:19 EDT
I hoped, this bug was fixed since 2002, but testing this now in FC5 I found the
issue still exists - will change release:

Aug  5 10:52:31 gatemuc imapd[1868]: Login user=peter host=[NON-IPv4]
Aug  5 10:52:38 gatemuc imapd[1868]: Logout user=peter host=[NON-IPv4]

Used xinetd config:

service imap
{
        socket_type             = stream
        wait                    = no
        user                    = root
        server                  = /usr/sbin/imapd
        log_on_success  += HOST DURATION
        log_on_failure  += HOST
        disable                 = no
        flags           = IPv6
}
Comment 4 Peter Bieringer 2006-08-05 04:49:08 EDT
Tested version: uw-imap-2004g-4.fc5.2
Comment 5 Peter Bieringer 2007-04-11 08:22:14 EDT
Testing uw-imap-2006g-2.fc6 I found, that this issue is finally solved now:

Apr 11 14:20:15 s xinetd[2037]: START: pop3 pid=5331 from=::ffff:127.0.0.1
Apr 11 14:20:25 s xinetd[2037]: EXIT: pop3 status=0 pid=5331 duration=10(sec)
Apr 11 14:20:29 s xinetd[2037]: START: pop3 pid=5333 from=::1
Apr 11 14:20:38 s xinetd[2037]: EXIT: pop3 status=0 pid=5333 duration=9(sec)

So this bug can be closed now.
Comment 6 petrosyan 2008-02-13 20:24:06 EST
Closing the bug as requested by the bug reporter.

Note You need to log in before you can comment on or make changes to this bug.